package cn.superdesk.uniorder.dao.mapper.unified.settlement;

import cn.superdesk.uniorder.dto.param.operationCenter.customer.OperationCenterCustomerParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.settlement.UnifiedSettlementVo;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface UnifiedSettlementProgrammeMapperEx {
    List<UnifiedSettlementVo> list(OperationCenterCustomerParam param);

    @Update("update unified_settlement_programme set " +
            "update_time =NOW(), update_user_id= #{userId},is_default=#{isDefault}  " +
            "where customer_id =#{customerId}")
    int updateIsDefaultByCustomerId(Long customerId, Integer isDefault, Long userId);
}
